Skip to content
Install

Install a Postgres extension, optionally adding it to shared_preload_libraries

POST
/databases/{id}/extensions
curl --request POST \
--url https://example.com/databases/example/extensions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "addToPreload": true, "name": "example" }'

Auth: authenticated (scope: deploy)

id
required
string
Media typeapplication/json
object
addToPreload
boolean
name
required
string

Example generated

{
"addToPreload": true,
"name": "example"
}

OK

Media typeapplication/json
object
output
required
string
preloadAdded
required
boolean
success
required
boolean
key
additional properties

Example generated

{
"output": "example",
"preloadAdded": true,
"success": true
}